Bug 1310137 - Wrong exit status from rgb2ycbcr on error output
Wrong exit status from rgb2ycbcr on error output
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libtiff (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Nikola Forró
Miroslav Hradílek
: Patch
Depends On:
  Show dependency treegraph
Reported: 2016-02-19 09:58 EST by Miroslav Hradílek
Modified: 2017-12-06 05:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 05:17:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Return non-zero exit code from rgb2ycbcr and tiffinfo in case of an error (2.73 KB, patch)
2016-08-31 09:12 EDT, Nikola Forró
no flags Details | Diff

  None (edit)
Description Miroslav Hradílek 2016-02-19 09:58:28 EST
Description of problem:
rgb2ycbcr utility is exiting with status 0 even though it is reading incorrect data and reflecting this in errors. This causes false failures of several regression tests as status 1 is expected.

Version-Release number of selected component (if applicable):
Comment 4 Nikola Forró 2016-08-31 09:12 EDT
Created attachment 1196362 [details]
Return non-zero exit code from rgb2ycbcr and tiffinfo in case of an error

Backport of this upstream commit: https://github.com/vadz/libtiff/commit/e8a47d4de54a5400c15a884094ae696195af5eb0
Comment 5 Jan Kurik 2017-12-06 05:17:25 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.